> ## Documentation Index
> Fetch the complete documentation index at: https://terminal49.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a custom field option

> Retrieve a single enum option for a custom field definition from the Terminal49 API, including the option's display label and persisted value identifier.

Retrieve a single custom field option by its ID.

## Path parameters

| Parameter       | Description                                          |
| --------------- | ---------------------------------------------------- |
| `definition_id` | The unique identifier of the custom field definition |
| `option_id`     | The unique identifier of the option                  |


## OpenAPI

````yaml get /custom_field_definitions/{definition_id}/options/{option_id}
openapi: 3.0.0
info:
  title: Terminal49 API Reference
  version: 0.2.0
  contact:
    name: Terminal49 API support
    url: https://www.terminal49.com
    email: support@terminal49.com
  description: >-
    The Terminal 49 API offers a convenient way to programmatically track your
    shipments from origin to destination.


    Please enter your API key into the "Variables" tab before using these
    endpoints within Postman.
  x-label: Beta
  termsOfService: https://www.terminal49.com/terms
servers:
  - url: https://api.terminal49.com/v2
    description: Production
security:
  - authorization: []
tags:
  - name: Containers
  - name: Custom Field Definitions
  - name: Custom Field Options
  - name: Custom Fields
  - name: Shipments
  - name: Locations
  - name: Events
  - name: Tracking Requests
  - name: Webhooks
  - name: Webhook Notifications
  - name: Ports
  - name: Metro Areas
  - name: Terminals
  - name: Routing (Paid)
  - name: Documents
  - name: Email Submissions
  - name: Document Schemas
  - name: Search
paths:
  /custom_field_definitions/{definition_id}/options/{option_id}:
    parameters:
      - schema:
          type: string
        name: definition_id
        in: path
        required: true
        description: Custom field definition ID
      - schema:
          type: string
        name: option_id
        in: path
        required: true
        description: Custom field option ID
    get:
      tags:
        - Custom Field Options
      summary: Get a custom field option
      operationId: get-custom-field-options-id
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/custom_field_option'
                  links:
                    $ref: '#/components/schemas/link-self'
components:
  schemas:
    custom_field_option:
      title: Custom field option
      type: object
      properties:
        id:
          type: string
          format: uuid
        type:
          type: string
          enum:
            - custom_field_option
        attributes:
          type: object
          properties:
            label:
              type: string
            value:
              type: string
            position:
              type: integer
              nullable: true
          required:
            - label
            - value
      required:
        - id
        - type
    link-self:
      title: link
      type: object
      properties:
        self:
          type: string
          format: uri
  securitySchemes:
    authorization:
      name: Authorization
      type: apiKey
      in: header
      description: >-
        Use a Terminal49 API key in the `Authorization` header with the `Token`
        prefix.


        `Authorization: Token YOUR_API_KEY`

````